=== debian/changelog ===
tigervnc (1.11.0+dfsg-2ubuntu0.1) hirsute; urgency=medium

  * debian/patch/0001-Update-Surface_X11.cxx.patch
    TigerVNC 1.11.0 contains a regression that causes vncviewer to display
    incorrect colors when vncviewer and X11 server use different endianness.
    (LP: #1929790)

 -- Frank Heimes <frank.heimes@canonical.com>  Mon, 20 Sep 2021 20:41:22 +0200

tigervnc (1.11.0+dfsg-2) unstable; urgency=medium

  [ Joachim Falk ]
  * Properly handle boolean configuration values in tigervnc-standalone-server
    (Closes: #985614).

 -- Joachim Falk <joachim.falk@gmx.de>  Mon, 22 Mar 2021 22:21:54 +0100

tigervnc (1.11.0+dfsg-1) unstable; urgency=medium

  [ Joachim Falk ]
  * Fresh upstream TigerVNC 1.11.0 (Closes: #976002).

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Fix field name case in debian/copyright (COpyright => Copyright).
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Joachim Falk <joachim.falk@gmx.de>  Mon, 22 Feb 2021 18:19:01 +0100

tigervnc (1.10.1+dfsg-9) unstable; urgency=medium

  [ Joachim Falk ]
  * Properly store certificate exceptions in native and java VNC viewer. The
    VNC viewers stored the certificate exceptions as authorities, meaning that
    the owner of a certificate could impersonate any server after a client had
    added an exception. This is issue CVE-2020-26117 (Closes: #971272).

 -- Joachim Falk <joachim.falk@gmx.de>  Mon, 28 Sep 2020 22:43:11 +0200

tigervnc (1.10.1+dfsg-8) unstable; urgency=medium

  [ Antoni Villalonga ]
  * Removed unrequired pristine-tar build dependency
  * Add Antoni Villalonga as Uploader

  [ Joachim Falk ]
  * Handle /etc/default/keyboard configuration.
  * Small tweaks to tigervncserver(1) man page.
  * New $session argument in vnc.conf to specify the X session to start.
  * Improved documentation of vnc.conf.

 -- Joachim Falk <joachim.falk@gmx.de>  Sat, 26 Sep 2020 01:42:30 +0200

tigervnc (1.10.1+dfsg-7) unstable; urgency=medium

  [ Joachim Falk ]
  * Fixed tigervnc-xorg-extension (/usr/lib/xorg/modules/extensions/libvnc.so)
    by reapplying Debian specific libtool work around to link against all
    libtool dependency libs of libvnc.so (Closes: #966238).

 -- Joachim Falk <joachim.falk@gmx.de>  Thu, 30 Jul 2020 00:09:05 +0200

tigervnc (1.10.1+dfsg-6) unstable; urgency=medium

  [ Joachim Falk ]
  * Hopefully fixed package builds using targets build-arch and build-indep.

 -- Joachim Falk <joachim.falk@gmx.de>  Mon, 13 Jul 2020 18:09:14 +0200

tigervnc (1.10.1+dfsg-5) unstable; urgency=medium

  [ Joachim Falk ]
  * Fixing lintian errors and warnings
  * Switched away from CDBS to a pure debhelper build system.
  * New try to enable reproducible builds for TigerVNC (Closes: #865753).

 -- Joachim Falk <joachim.falk@gmx.de>  Fri, 10 Jul 2020 17:25:13 +0200

tigervnc (1.10.1+dfsg-4) unstable; urgency=medium

  [ Joachim Falk ]
  * Remove Liang Guo <guoliang@debian.org> from uploaders (Closes: #961610).
  * Don't use libunwind for armel, armhf, and arm64 as this library is buggy
    (bug #923962) on those architectures (Closes: #932499).

 -- Joachim Falk <joachim.falk@gmx.de>  Tue, 16 Jun 2020 19:32:44 +0200
