=== debian/changelog ===
tigervnc (1.12.0+dfsg-4) unstable; urgency=medium

  * Backported a Debian change applied upstream that provides app stream
    org.tigervnc.xtigervncviewer.metainfo.xml information for the TigerVNC
    viewer.

 -- Joachim Falk <joachim.falk@gmx.de>  Fri, 25 Mar 2022 18:06:01 +0100

tigervnc (1.12.0+dfsg-3) unstable; urgency=medium

  * Fix build with xorg-server-21.1.3 (Closes: #1005664)

 -- Joachim Falk <joachim.falk@gmx.de>  Tue, 15 Feb 2022 20:09:59 +0100

tigervnc (1.12.0+dfsg-2) unstable; urgency=medium

  * Re-upload as-is (and source-only).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 30 Jan 2022 17:40:52 +0100

tigervnc (1.12.0+dfsg-1) unstable; urgency=medium

  [ Joachim Falk ]
  * Fresh upstream TigerVNC 1.12.0 (Closes: #880587, #879866, #855350)
  * Updated app stream org.tigervnc.xtigervncviewer.metainfo.xml information
    file for TigerVNC 1.12.0 release.
  * Adjusted options for tigervncserver and x0tigervncserver to correspond to
    TigerVNC 1.12.0 release.
  * Correctly initialize XDG_SESSION_DESKTOP, XDG_CURRENT_DESKTOP,
    XDG_SESSION_TYPE, and XDG_SESSION_CLASS.
  * Refreshed copyright years and bumped version of man pages.
  * Small content tweak in tigervnc.conf.5x (rfbwait option no longer exists).
  * Split of tigervncpasswd from tigervnc-common into its own tigervnc-tools
    package.
  * Fixed some lintian errors.
  * Bumped Standards-Version: to 4.6.0. No changes were needed.
  * Fixed typo in tigervncserver man page. (Closes: #1003715)
  * Clear session argument from config file if -xstartup specified on the
    command line. (Closes: #1000871)
  * Fixed tigervncserver/x0tigervncserver -list for VNC servers not using a
    rfbport from 5900 to 5999. (Closes: #1004365)
  * Support for -rfbunixpath in tigervncserver and x0tigervncserver wrapper
    scripts. (LP: #1892595)
  * Fixed gnome desktop start up when using tigervncserver@.service.
    (Closes: #1004395)
  * Provided example configuration for tigervnc-xorg-extension. However, this
    is still broken due to bug #855441.
  * Applied the following upstream fixes:
    - a6160b Fix formatting of -rfbport in man pages
    - 2daf41 Fix typo in mirror monitor detection
    - 1a729d Fix handling of VMware cursors
    - 88e96d Fix session resize after mirroring on Linux vncviewer

 -- Joachim Falk <joachim.falk@gmx.de>  Wed, 26 Jan 2022 18:19:38 +0100

tigervnc (1.11.0+dfsg-3) unstable; urgency=medium

  [ Joachim Falk ]
  * Fixed warnings use of uninitialized value in string eq at
    /usr/share/perl5/TigerVNC/Config.pm line 401 or 414. (Closes: #1004366)
  * Fixed debian/watch to again detect upstream versions.
  * Bumped Standards-Version: to 4.5.1. No changes needed.
  * Added org.tigervnc.xtigervncviewer.metainfo.xml for appstream

 -- Joachim Falk <joachim.falk@gmx.de>  Sat, 17 Apr 2021 10:22:50 +0200
