=== debian/watch ===
version=3
opts="repack,repacksuffix=+dfsg,compression=xz,dversionmangle=s/\+dfsg$//,filenamemangle=s/.*v([\d\.]+)\..*/tigervnc_$1.orig.tar.gz/" \
 https://github.com/TigerVNC/tigervnc/releases .*/archive/refs/tags/v([\d\.]+)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
